Delete inbound endpoint
DELETE /v1/inbound-endpoints/{id}
DELETE
/v1/inbound-endpoints/{id}
Soft-delete an inbound endpoint. The endpoint will no longer accept new webhooks, and any in-flight messages will be marked as permanently failed.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Inbound endpoint identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Responses
Section titled “ Responses ”Inbound endpoint deleted successfully
object
data
object
id
string
deleted
boolean
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "data": { "id": "01935abc-def0-7123-4567-890abcdef012", "deleted": true }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }} Personalize Examples
Enter your credentials to populate code examples throughout the docs.